-- functionsMenu.lua
-- Written By Habna


--**v Functions for the menu v**
--**v Unload TitanBar v**
function UnloadTitanBar()
	--write( "TitanBar: Unloaded" );
	Turbine.PluginManager.LoadPlugin( 'TitanBar Unloader' );
	--Turbine.PluginManager.UnloadScriptState( 'TitanBar' );
end
--**^
--**v Reload TitanBar v**
function ReloadTitanBar()
	--write( "TitanBar: Reloaded" );
	Turbine.PluginManager.LoadPlugin( 'TitanBar Reloader' );
	--UnloadTitanBar();
	--Turbine.PluginManager.LoadPlugin( 'TitanBar' );
end
--**^
-- **v Show/Hide Money v**
function ShowHideMoney()
	ShowMoney = not ShowMoney;
	SaveSettings();
	if ShowMoney then
		--write( "TitanBar: Showing money");
		--import (AppDirD.."MoneyInfos");
		PlayerAtt = Player:GetAttributes();
		wTitanBar.moneyChangedHandler = AddCallback(PlayerAtt, "MoneyChanged", function(sender, args) UpdateMoney(); end);
		C["MICtr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) );
		UpdateMoney();
	else
		--write( "TitanBar: Hiding money");
		RemoveCallback(PlayerAtt, "MoneyChanged", wTitanBar.moneyChangedHandler);
	end
	C["MICtr"]:SetVisible( ShowMoney );
	ReplaceModuleLocation();
end
-- **^
-- **v Show/Hide Destiny Points v**
function ShowHideDestinyPoints()
	ShowDestinyPoints = not ShowDestinyPoints;
	SaveSettings();
	if ShowDestinyPoints then
		--write( "TitanBar: Showing Destiny Points");
		--import (AppDirD.."DestinyPoints");
		PlayerAtt = Player:GetAttributes();
		wTitanBar.moneyChangedHandler = AddCallback(PlayerAtt, "MoneyChanged", function(sender, args) UpdateMoney(); end);
		C["DPCtr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) );
		UpdateDestinyPoints();
	else
		--write( "TitanBar: Hiding Destiny Points");
		RemoveCallback(PlayerAtt, "DestinyPointsChanged", wTitanBar.dpChangedHandler);
	end
	C["DPCtr"]:SetVisible( ShowDestinyPoints );
	ReplaceModuleLocation();
end
-- **^
-- **v Show/Hide Backpack Infos v**
function ShowHideBackpackInfos()
	ShowBagInfos = not ShowBagInfos;
	SaveSettings();
	if ShowBagInfos then
		--write( "TitanBar: Showing backpack infos");
		--import (AppDirD.."BagInfos");
		Backpack = Player:GetBackpack();
		--wTitanBar.iaHandler = AddCallback(Backpack, "ItemAdded", function(sender, args) UpdateBackpackInfos(); end);
		--wTitanBar.irHandler = AddCallback(Backpack, "ItemRemoved", function(sender, args) UpdateBackpackInfos(); end);
		C["BICtr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) );
		UpdateBackpackInfos();
	else
		--write( "TitanBar: Hiding backpack infos");
		--RemoveCallback(Backpack, "ItemAdded", wTitanBar.iaHandler);
		--RemoveCallback(Backpack, "ItemRemoved", wTitanBar.irHandler);
	end
	C["BICtr"]:SetVisible( ShowBagInfos );
	ReplaceModuleLocation();
end
--**^
-- **v Show/Hide Backpack Infos v**
function ShowHidePlayerInfos()
	ShowPlayerInfos = not ShowPlayerInfos;
	SaveSettings();
	if ShowPlayerInfos then
		--write( "TitanBar: Showing player infos");
		--import (AppCtrD.."PlayerInfos");
		wTitanBar.levelChangedHandler = AddCallback(Player, "LevelChanged", function(sender, args) C["PLvl"]:SetText( Player:GetLevel() ); end);
		wTitanBar.nameChangedHandler = AddCallback(Player, "NameChanged", function(sender, args) C["PName"]:SetText( Player:GetName() ); end);
		C["PICtr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
		UpdatePlayersInfos();
	else
		--write( "TitanBar: Hiding player infos");
		RemoveCallback(Player, "LevelChanged", wTitanBar.levelChangedHandler);
		RemoveCallback(Player, "NameChanged", wTitanBar.nameChangedHandler);
	end
	C["PICtr"]:SetVisible( ShowPlayerInfos );
	ReplaceModuleLocation();
end
--**^
-- **v Show/Hide Backpack Infos v**
function ShowHideEquipInfos()
	ShowEquipInfos = not ShowEquipInfos;
	SaveSettings();
	if ShowEquipInfos then
		--write( "TitanBar: Showing equipment infos");
		--import (AppCtrD.."EquipInfos");

		C["EICtr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) );
		UpdateEquipsInfos();
	else
		--write( "TitanBar: Hiding equipment infos");
		
	end
	C["EICtr"]:SetVisible( ShowEquipInfos );
	ReplaceModuleLocation();
end
--**^
-- **v Show/Hide Time v**
function ShowHideGameTime()
	ShowGameTime = not ShowGameTime;
	SaveSettings();
	if ShowGameTime then
		--write( "TitanBar: Showing time");
		--import (AppDirD.."GameTime");
				
		C["GTCtr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );
		UpdateGameTime();
	else
		--write( "TitanBar: Hiding time");
		
	end
	C["GTCtr"]:SetVisible( ShowGameTime );
	ReplaceModuleLocation();
end
--**^