-- Main.lua
-- written by Habna


import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

Version = "v1.2.2"; --> ** TitanBar current version **
RDate = "febuary 15th 2012"; --> ** TitanBar release date **

_G.C = {};
_G.sFromCtr = nil;
screenWidth, screenHeight = Turbine.UI.Display.GetSize();
write = Turbine.Shell.WriteLine;

AppDir = "HabnaPlugins.TitanBar";
AppDirD = AppDir..".";
AppRes = "HabnaPlugins/TitanBar/Resources/";
AppCtrD = AppDirD.."Control.";
AppLocaleD = AppDirD.."Locale.";
--AppClassD = AppDirD.."Class.";

--GLocale = Turbine.Engine.GetLocale();
if(Turbine.Shell.IsCommand("zusatzmodule")==true)then
	GLocale = "de";
elseif(Turbine.Shell.IsCommand("conseil")==true)then
	GLocale = "fr";
else
	GLocale = "en";
end

import (AppDir);
import (AppDirD.."color");
import (AppDirD.."settings");
LoadSettings();
import (AppDirD.."frmMain");
import (AppDirD.."functions");
import (AppDirD.."functionsMenu");
import (AppDirD.."functionsMenuControl");
import (AppDirD.."OptionPanel"); -- LUA option panel file (for in-game plugin manager options tab)
import (AppDirD.."menu");
import (AppDirD.."menuControl");
frmMain();

TitanBarCommand = Turbine.ShellCommand()

function TitanBarCommand:Execute( command, arguments )
	if ( arguments == L["SC1"] or arguments == "opt") then
		TitanBarMenu:ShowMenu();
	elseif ( arguments == L["SC2"] ) then
		UnloadTitanBar();
	elseif ( arguments == L["SC3"] ) then
		ReloadTitanBar();
	elseif ( arguments == L["SC4"] or arguments == "reset" ) then
		ResetSettings();
	elseif ( arguments == L["SC5"] or arguments == "mi") then
		ShowHideMoney();
	elseif ( arguments == L["SC6"] or arguments == "dp") then
		ShowHideDestinyPoints();
	elseif ( arguments == L["SC7"] or arguments == "bi" ) then
		ShowHideBackpackInfos();
	elseif ( arguments == L["SC8"] or arguments == "pi" ) then
		ShowHidePlayerInfos();
	elseif ( arguments == L["SC9"] or arguments == "ei" ) then
		ShowHideEquipInfos();
	elseif ( arguments == L["SC10"] or arguments == "gt" ) then
		ShowHideGameTime();
	else
		write( "TitanBar: " .. L["SC0"] );
	end
end
Turbine.Shell.AddCommand('TitanBar', TitanBarCommand)

--write( "TitanBar v" .. Version .. " by Habna" );